Bug 1416953 - Request gerrit integration for gluster/test github repository
Summary: Request gerrit integration for gluster/test github repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 22:23 UTC by Shyamsundar
Modified: 2017-02-10 16:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 16:30:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Shyamsundar 2017-01-26 22:23:10 UTC
The repo https://github.com/gluster/test is a playground for our github move. We prototyped some project boards and labels there.

Going further we want to prototype and see how github issues and its mentions in commits can be leveraged to make a move to github issues and stop using Bugzilla.

Towards this, this is a request to be able to submit gerrit reviews against the test repository (possibly via our gerrit instance), so that we can play with and check how this can function.

We want such a playground within our infra, so that in the gluster space other maintainers can also try out the workflow with ease and comment on the changes.

The core need is, we should be able to add test as a project to our gerrit instance, and be able to open reviews and submit changes from there.

Comment 1 Nigel Babu 2017-01-31 06:31:21 UTC
There's now a repo here: https://gerrit-stage.rht.gluster.org/#/admin/projects/gluster-test

Please use HTTPS for clone. You may have to generate a password here -> https://gerrit-stage.rht.gluster.org/#/settings/http-password

I'll have replication working later today.

Comment 2 Nigel Babu 2017-02-01 09:56:52 UTC
Okay so replication is setup and working. I've also cleared the cache, so now it should mostly work. I'm fixing up apache issues now

Comment 3 Nigel Babu 2017-02-01 10:24:04 UTC
And Apache issues are now fixed up.

Comment 4 Shyamsundar 2017-02-08 18:36:45 UTC
@Nigel, thanks. Was able to test drive this today and submitted a change to check issue # reference (https://gerrit-stage.rht.gluster.org/#/c/16439/ ).

The problem though is, it needs the regression flags and other such before I can submit this to see the issue getting auto updated in github.

So,

- Can we turn off these extra flags for this repository?
- How can I edit/create a workerant for this repo in gerrit, that reports updates to issues, like the WorkerAnt updates to bugzila on our main repo?

I understand that you have given me admin privs, but unable to see where the above activities occur from the gerrit admin interface, I am obviously missing something or looking in the wrong place. Request some assistance.

Comment 5 Shyamsundar 2017-02-10 16:30:26 UTC
Update:

- Nigel turned off the extra flags
- The changes to the test repo were not syncing back to github, that has been fixed by Nigel

- We had a discussion about workerant and its needs, this will be pursued as a different bug.

Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.